<?xml version="1.0"?>
  <database name="TABLE REM_REMITTANCE_TYPE">
    <table name="REM_REMITTANCE_TYPE" primaryKey="REM_REMITTANCE_TYPE_KEY">
      <column name="REM_REMITTANCE_TYPE_ID" primaryKey="true" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_CLIENT_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_ORG_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ISACTIVE" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="UPDATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="UPDATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="NAME" primaryKey="false" required="true" type="NVARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="CONSOLIDATE" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault/>
      </column>
      <column name="FIN_PAYMENTMETHOD_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="FIN_PM_CONSOLIDATED_ID" primaryKey="false" required="false" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="C_GLITEM_ID" primaryKey="false" required="false" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="CLASSNAME" primaryKey="false" required="false" type="VARCHAR" size="1000" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ISPOSTINGALLOWED" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <foreign-key foreignTable="AD_CLIENT" name="REM_REMITTANCETYPE_AD_CLIENT">
        <reference local="AD_CLIENT_ID" foreign="AD_CLIENT_ID"/>
      </foreign-key>
      <foreign-key foreignTable="AD_ORG" name="REM_REMITTANCETYPE_AD_ORG">
        <reference local="AD_ORG_ID" foreign="AD_ORG_ID"/>
      </foreign-key>
      <foreign-key foreignTable="C_GLITEM" name="REM_REMITTANCETYPE_GLITEM">
        <reference local="C_GLITEM_ID" foreign="C_GLITEM_ID"/>
      </foreign-key>
      <foreign-key foreignTable="FIN_PAYMENTMETHOD" name="REM_REMITTANCETYPE_PAYMETH">
        <reference local="FIN_PAYMENTMETHOD_ID" foreign="FIN_PAYMENTMETHOD_ID"/>
      </foreign-key>
      <foreign-key foreignTable="FIN_PAYMENTMETHOD" name="REM_REMITTANCETYPE_PAYMETHCON">
        <reference local="FIN_PM_CONSOLIDATED_ID" foreign="FIN_PAYMENTMETHOD_ID"/>
      </foreign-key>
      <check name="REM_REMITTYPE_CONS_CHECK"><![CDATA[CONSOLIDATE = 'N' OR CONSOLIDATE = 'Y' AND FIN_PM_CONSOLIDATED_ID IS NOT NULL AND C_GLITEM_ID IS NOT NULL]]></check>
      <check name="REM_REMITTYPE_ISACTIVE_CHECK"><![CDATA[ISACTIVE IN ('Y', 'N')]]></check>
      <check name="REM_REMITTYPE_ISPOSTALL_CHECK"><![CDATA[ISPOSTINGALLOWED IN ('Y', 'N')]]></check>
    </table>
  </database>
